import { $postParam, $post } from "@/plugins/axios";

// 成绩管理列表
export const targetScoreListPage = (datas) => {
  return $postParam("/api/admin/course/degree/score/list", datas);
};
// 成绩管理-平时成绩 ------------------->
// 成绩管理-导入平时成绩-下载模版
export const scoreTemplateDownload = (datas) => {
  return $postParam("/api/admin/course/degree/score/template_download", datas, {
    responseType: "blob",
  });
};
// 成绩管理-平时成绩列表
export const normalScoreListPage = (datas) => {
  return $postParam("/api/admin/course/degree/score/normal/list", datas);
};
// 成绩管理-平时成绩编辑
export const normalScoreEdit = (datas) => {
  return $post("/api/admin/course/degree/score/normal/edit", datas);
};
// 成绩管理-平时成绩保存
export const normalScoreSave = (datas) => {
  return $post("/api/admin/course/degree/score/normal/save", datas);
};
// 成绩管理-平时成绩启用/禁用
export const normalScoreEnable = ({ id, enable }) => {
  return $postParam("/api/admin/course/degree/score/normal/enable", {
    id,
    enable,
  });
};
// 成绩管理-期末成绩 ------------------->
// 成绩管理-导入期末成绩-下载模版
export const endScoreTemplateDownload = (datas) => {
  return $postParam(
    "/api/admin/course/degree/score/end_exam/template_download",
    datas,
    {
      responseType: "blob",
    }
  );
};
// 成绩管理-期末成绩列表
export const endScoreListPage = (datas) => {
  return $postParam("/api/admin/course/degree/score/end_exam/list", datas);
};
// 成绩管理-期末成绩编辑
export const endScoreEdit = (datas) => {
  return $post("/api/admin/course/degree/score/end_exam/edit", datas);
};
// 成绩管理-期末成绩保存
export const endScoreSave = (datas) => {
  return $post("/api/admin/course/degree/score/end_exam/save", datas);
};
// 成绩管理-期末成绩启用/禁用
export const endScoreEnable = ({ id, enable }) => {
  return $postParam("/api/admin/course/degree/score/end_exam/enable", {
    id,
    enable,
  });
};
// 成绩管理-保存试卷蓝图
export const endScorePaperPositiveSave = (datas) => {
  return $post(
    "/api/admin/course/degree/score/end_exam/paper_positive/save",
    datas
  );
};
